/*
 * This file is part of the SOAFaces Project (hereinafter "SOAFaces").
 * Copyright (C) 2006 Grand Logic, Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package org.soafaces.services.client.rpc;

import com.google.gwt.user.client.rpc.IsSerializable;

/**
 * Problem during <code>UniversalClient</code> call.
 * @author Sam Taha
 */
public class UniversalClientRemoteException extends RuntimeException implements IsSerializable {
  
  //private int exceptionType = 0;

  /**
   * Creates a new instance without detail message.
   */
  public UniversalClientRemoteException() {
  }
  
  /**
   * Creates a new instance without detail message.
   */
  //public UniversalClientRemoteException(int exceptionType) {
  //  this.exceptionType=exceptionType;
  //}

  /**
   * Constructs an instance> with the specified detail message.
   * @param msg the detail message.
   */
  public UniversalClientRemoteException(String msg) {
    super(msg);
  }
  
    /**
   * Creates a new instance without detail message.
   */
  //public UniversalClientRemoteException(String msg, int exceptionType) {
  //  super(msg);
  //  this.exceptionType=exceptionType;
  //}
  
  //public int getExceptionType() {
  //  return exceptionType;
  //}
}
