@echo off
if "%OS%" == "Windows_NT" setlocal

rem Starts up JobServer container

if "%JOBSERVER_HOME%" == "" goto guessIt
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set dumby=""
rem Even though it is set and not correct try to guess
:guessIt
set JOBSERVER_HOME=.
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
rem Try to guess what JOBSERVER_HOME is
set JOBSERVER_HOME=..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set JOBSERVER_HOME=..\..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
echo  The JOBSERVER_HOME environment variable is not set. This
echo  variable needs to be set to run this program. Program
echo  exiting.
goto  end

:okHome
call "%JOBSERVER_HOME%\conf\system-config.bat"

if exist "%JAVA_HOME%\bin\java.exe" goto okExec
echo  The JAVA_HOME environment variable is not set. This
echo  variable needs to be set to run this program. Program
echo  exiting.
goto  end

:okExec
cd /D "%JOBSERVER_HOME%"

set JOBSERVER_HOME=%CD%

set JSLIB=sys\lib
set COMMONLIB=common-lib\workflow

set CAT_VAR=""
FOR %%f IN (%JSLIB%\jscore\*.jar) DO call "%JOBSERVER_HOME%\bin\toolbin\parsecmd.bat" %%f
FOR %%f IN (%JSLIB%\jsthird\*.jar) DO call "%JOBSERVER_HOME%\bin\toolbin\parsecmd.bat" %%f
FOR %%f IN (%JSLIB%\endorsed\*.jar) DO call "%JOBSERVER_HOME%\bin\toolbin\parsecmd.bat" %%f
FOR %%f IN (%COMMONLIB%\*.jar) DO call "%JOBSERVER_HOME%\bin\toolbin\parsecmd.bat" %%f
set CLASSPATH=%CAT_VAR%

for /F "usebackq" %%i IN (`hostname`) DO set jshost=%%i
set JS_SERVER_HOSTNAME=%jshost%
if "%JOBSERVER_HOSTNAME%" == "" goto stepLocalhost
set JS_SERVER_HOSTNAME=%JOBSERVER_HOSTNAME%
:stepLocalhost

set extJvmMaxMemory=
set extJvmOptions=
set JVM_RUN_ID=%1
set JVM_PARTITION_ID=%2
rem set extJvmUseContainerSL=%3
if "%3" == "nill" goto jump1
set extJvmMaxMemory=-Xmx%3m
:jump1

if "%4" == "nill" goto jump2
set extJvmOptions=%4
set extJvmOptions=%extJvmOptions:ggggg= %
:jump2

set DEFINES2=-Djs.webServerHttpPort=%webServerHttpPort%
set DEFINES2=%DEFINES2% -Djs.ldapAuth=%ldapAuth%
set DEFINES2=%DEFINES2% -Djs.clearPW=%clearPW%
set DEFINES2=%DEFINES2% -Djs.webServerShutdownPort=%webServerShutdownPort%
set DEFINES2=%DEFINES2% -Djs.soapPort=%soapPort%
set DEFINES2=%DEFINES2% -Djs.agentPort=%agentPort%
set DEFINES2=%DEFINES2% -Djs.useMule=%useMule%
set DEFINES2=%DEFINES2% -Djs.containerRemotePort=%containerRemotePort%
set DEFINES2=%DEFINES2% -Djs.dbDriverType=%dbDriverType%
set DEFINES2=%DEFINES2% -Djs.dbPort=%dbPort%
set DEFINES2=%DEFINES2% -Djs.dbHost=%dbHost%
set DEFINES2=%DEFINES2% -Djs.dbName=%dbName%
set DEFINES2=%DEFINES2% -Djs.dbCustomJDBCURL=%dbCustomJDBC%
set DEFINES2=%DEFINES2% -Djs.dbUsername=%dbUsername%
set DEFINES2=%DEFINES2% -Djs.dbPassword=%dbPassword%
set DEFINES2=%DEFINES2% -Djs.dbSchemaName=%dbSchemaName%
set DEFINES2=%DEFINES2% -Djs.maxPoolSize=%maxPoolSize%
set DEFINES2=%DEFINES2% -Djs.holdPoolSize=1
set DEFINES2=%DEFINES2% -Djs.initPoolSize=1
set DEFINES2=%DEFINES2% -Djs.servletMaxPoolSize=%servletMaxPoolSize%
set DEFINES2=%DEFINES2% -Djs.servletHoldPoolSize=%servletHoldPoolSize%
set DEFINES2=%DEFINES2% -Djs.servletInitPoolSize=%servletInitPoolSize%
set DEFINES2=%DEFINES2% -Djs.debug=%debug%
set DEFINES2=%DEFINES2% -Djs.debugLevel=%debugLevel%
set DEFINES2=%DEFINES2% -Djs.debugClasses=%debugClasses%
set DEFINES2=%DEFINES2% -Djs.jsInstanceVersion=%jsInstanceVersion%
set DEFINES2=%DEFINES2% -Djs.useSSL=%useSSL%
set DEFINES2=%DEFINES2% -Djs.serverHostname=%JS_SERVER_HOSTNAME%
set DEFINES2=%DEFINES2% -Djs.primarySchedServer=%primarySchedServer%
set DEFINES2=%DEFINES2% -Djs.secondarySchedServer=%secondarySchedServer%
set DEFINES2=%DEFINES2% -Djs.webletModeOnly=%webletModeOnly%

set DEFINES2=%DEFINES2% -Djs.jvmRunID=%JVM_RUN_ID%
set DEFINES2=%DEFINES2% -Djs.jvmPartitionID=%JVM_PARTITION_ID%
rem set DEFINES2=%DEFINES2% -Djs.extJvmUseContainerSL=%extJvmUseContainerSL%

set DEFINES1=%extJvmMaxMemory%
set DEFINES1=%DEFINES1% %extJvmOptions%

set DEFINES1=%DEFINES1% -Djava.rmi.server.useCodebaseOnly=true
set DEFINES1=%DEFINES1% -Djava.rmi.server.hostname=%JS_SERVER_HOSTNAME%
set DEFINES1=%DEFINES1% -DEJS_HOME="%JOBSERVER_HOME%"

set DEFINES1=%DEFINES1% -Djava.security.policy="%JOBSERVER_HOME%\conf\jobserver.policy"
set DEFINES1=%DEFINES1% -Djava.security.manager
set DEFINES1=%DEFINES1% -Djava.util.logging.config.file="%JOBSERVER_HOME%\conf\logging.properties"
set DEFINES1=%DEFINES1% -Djava.endorsed.dirs=%JSLIB%\endorsed
rem set DEFINES1=%DEFINES1% -Dsun.rmi.dgc.server.gcInterval=0x7FFFFFFFFFFFFFFE
rem set DEFINES1=%DEFINES1% -Dsun.rmi.dgc.client.gcInterval=0x7FFFFFFFFFFFFFFE

rem echo %DEFINES1% 1>&2

rem echo %DEFINES2% 1>&2

rem echo %CLASSPATH% 1>&2

set _EXECJAVA=%JAVA_HOME%\bin\javaw.exe

"%_EXECJAVA%" %DEFINES1% %DEFINES2% -cp %CLASSPATH% surda.jobserver.client.JVMStarterClient

set ENVCHECK=%ERRORLEVEL%

exit %ERRORLEVEL%

:end
  
